petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetCreateGlobalVector

sets the routine to create a global vector associated with the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateGlobalVector(DM dm,PetscErrorCode (*func)(DM,Vec*))

Logically Collective

### Input Arguments

| dm | - the shell DM
| func | - the creation routine

### See Also

DMShellSetGlobalVector(), DMShellSetCreateMatrix(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html